Bug 50985 - Python 2.0 not finding XML parsers
Summary: Python 2.0 not finding XML parsers
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: python2 (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-06 03:20 UTC by Christopher Wong
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 14:49:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Wong 2001-08-06 03:20:10 UTC
Description of Problem:
The python2-2.0-3 package from the Powertools CD seems to install fine,  
but attempts to use the XML routines fail with  
"xml.sax._exceptions.SAXReaderNotAvailable: No parsers found" in  
xml.sax.make_parser.  


How Reproducible:
Every time.

Steps to Reproduce:
1. cd /usr/lib/python2.0/test  
2. python2 test_sax.py

Actual Results:
Traceback (most recent call last):  
  File "test_sax.py", line 11, in ?  
    raise ImportError("no XML parsers available")  
ImportError: no XML parsers available

Expected Results:
Should have seen test results of "Passed" or "Failed".

Additional Information:

Comment 1 Trond Eivind Glomsrxd 2001-08-06 14:49:06 UTC
Try the package from the Roswell beta instead.

Comment 2 Trond Eivind Glomsrxd 2001-08-13 22:31:10 UTC
Did it myself - 32 tests, 0 failures in python2 2.1.1-1


Note You need to log in before you can comment on or make changes to this bug.